MONGOC_URI_GET_COMPRESSORS(3)

NAME
mongoc_uri_get_compressors - mongoc_uri_get_compressors()

SYNOPSIS

const bson_t *
mongoc_uri_get_compressors (const mongoc_uri_t *uri);

PARAMETERS

•   uri: A mongoc_uri_t.

DESCRIPTION

Returns a bson document with the enabled compressors as the keys if uri has compressors provided, otherwise NULL.

EXAMPLE

mongoc_client_t *client;
mongoc_uri_t *uri;
uri = mongoc_uri_new ("mongodb://localhost/?compressors=zlib,snappy,zstd");
if (bson_has_field (mongoc_uri_get_compressors (uri), "snappy")) {
   /* snappy enabled */
}

RETURNS

A bson_t * which should not be modified or freed.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc